<?PHP
use PhpOffice\PhpSpreadsheet\Spreadsheet;    
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\IOFactory;

 if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Clientes extends CI_Controller {

    public function __construct() {
        parent::__construct();        
        $this->load->model('accesos_model');
        $this->load->model('empleados_model');                
        $this->load->model('empresas_model');        
        $this->load->model('clientes_model');
        $this->load->model('tipo_clientes_model');

        $this->load->library('pagination');

        $empleado_id = $this->session->userdata('empleado_id');
        $almacen_id = $this->session->userdata("almacen_id");
        if (empty($empleado_id) or empty($almacen_id)) {
            $this->session->set_flashdata('mensaje', 'No existe sesion activa');
            redirect(base_url());
        }
    }   

    
    public function index(){        
        $this->accesos_model->menuGeneral();
        $this->load->view('clientes/basic_index');
        $this->load->view('templates/footer');
    }

    public function crear(){
        $data = array();
        $data['tipo_clientes'] = $this->tipo_clientes_model->select();
        echo $this->load->view('clientes/modal_crear',$data);
    }

    public function editar($idCliente){       
        $data['cliente'] =  $this->clientes_model->select($idCliente);
        $data['tipo_clientes'] = $this->tipo_clientes_model->select();
        $this->load->view('clientes/modal_crear',$data);
    }

    public function guardarCliente(){        
        $error = array();
        if($_POST['ruc'] == '')
        {
            $error['ruc'] = 'falta ingresar ruc';
        }
        if($_POST['razon_social'] == '')
        {
            $error['razon_social'] = 'falta ingresar razon social';
        }        
        if($_POST['domicilio1'] == '')
        {
            $error['domicilio1'] = 'falta ingresar domicilio';
        }        

        if(count($error) > 0)
        {
            $data = ['status'=>STATUS_FAIL,'tipo'=>1, 'errores'=>$error];
            echo json_encode($data);
            exit();
        }   

        //guardamos el cliente
        $result = $this->clientes_model->guardar();
        if($result)
        {
            echo json_encode(['status'=>STATUS_OK]);
            exit();
        }else
        {
            echo json_encode(['status'=>STATUS_FAIL, 'tipo'=>2]);
            exit();
        }   
    }

    public function eliminar($idCliente){
        $result = $this->clientes_model->eliminar($idCliente);
        
        if($result){
            echo json_encode(['status' => STATUS_OK]);
            exit();
        } else{
            echo json_encode(['status' => STATUS_FAIL]);
            exit();
        }
    }

    public function getMainList(){
        $rsDatos = $this->clientes_model->getMainList();
        echo json_encode($rsDatos);
    }

    public function buscador_cliente() {
        $cliente = $this->input->get('term');
        echo json_encode($this->clientes_model->selectAutocomplete($cliente, ST_ACTIVO));
    }

    //SeachCliente    
    public function searchCustomer(){        
       $ruc =  $_POST['ruc'];
        $typeCustomer = $_POST['tipoCliente'];        
        //BUSCAMOS EN EL CLIENTE EN LA BASE DE DATOS        
        $cliente = $this->clientes_model->clientePorRuc($ruc);                
        if($cliente['id'] == 0){        
        //OBTENEMOS EL VALOR            
        switch ($typeCustomer) {
        case 1:
        $consultaApi = file_get_contents('http://mundosoftperu.com/reniec/consulta_reniec.php?dni='.$ruc);
        $consulta = json_decode($consultaApi);        
            if($consultaApi != ''){
                //$partes = explode('|', $consultaApi);  
                sendJsonData(['status'=>STATUS_OK,'typeCustomer' => $typeCustomer,'paterno' => $consulta[2],'materno' => $consulta[3],'nombres' => $consulta[1]]);
            }
            else{
                sendJsonData(['status'=>STATUS_FAIL, 'msg'=> 'DNI NO ENCONTRADO']);
                exit();
            }        
            break;
        //$consultaSunat = fille_get_contents('https://api.sunat.cloud/ruc/'.$ruc);               
        case 2:
        $consultaApi = file_get_contents('https://mundosoftperu.com/sunat/sunat/consulta.php?nruc='.$ruc);        
        $consulta = json_decode($consultaApi);        
            if($consulta->result->RUC != ''){            
            $razonSocial = $consulta->result->RazonSocial;
            $direccionFiscal = $consulta->result->Direccion;                                 
            sendJsonData(['status'=>STATUS_OK,'typeCustomer'=> $typeCustomer,'razonSocial' => $razonSocial, 'direccionFiscal' => $direccionFiscal]);
            } else{
              sendJsonData(['status'=>STATUS_FAIL, 'msg'=> 'RUC NO ENCONTRADO']);
              exit();  
            }        
            break;
        }}
        else{
            sendJsonData(['status'=>STATUS_FAIL, 'msg'=> 'Cliente ya se encuentra registrado']);
            exit();}
        }


    public function buscar_cliente_modal(){
        $texto = $this->input->get('texto');
        $this->db->like('ruc',$texto,'after');
        $this->db->or_like('razon_social',$texto,'after');
        $this->db->limit(15);
        $cm = $this->db->get('clientes')->result();
        echo json_encode($cm);
    }

    public function seleccionar_cliente_modal(){
        $ruc = $this->input->get('cod');
        $this->db->where('ruc',$ruc);
        $cm = $this->db->get('clientes')->row();
        echo json_encode($cm);
    } 


     //INSERTAR CLIENTE 15-10-2020
     public function grabar_para_comprobante() {    
        $tipo_cliente = explode("xx-xx-xx", $this->input->post('tipo_cliente'));
        $id = $this->clientes_model->obtener_codigo();

        if($this->input->post('ruc')==''){
            $cliente['success'] = 1;
            echo json_encode($cliente);
            exit();
        }

        if($this->input->post('razon_social')==''){
            $cliente['success'] = 2;
            echo json_encode($cliente);
            exit();
        }

        if($this->input->post('domicilio1')==''){
            $cliente['success'] = 3;
            echo json_encode($cliente);
            exit();
        }            
        $data = array(
            'id' => $id,
            'ruc' => trim($this->input->post('ruc')),
            'razon_social' => strtoupper(trim($this->input->post('razon_social'))),
            'domicilio1' => strtoupper(trim($this->input->post('domicilio1'))),
            'email' => trim($this->input->post('email')),            
            'telefono_movil_1' => $this->input->post('telefono_movil_1'),
            'empresa_id' => 1,
            'activo' => 'activo',
            'empleado_id_insert' => $this->session->userdata('empleado_id'),
            'tipo_cliente_id' => $tipo_cliente[0],
            'tipo_cliente' => $tipo_cliente[1]
     
        );        
        if ($this->input->post('nombres') != ''){
            $data = array_merge($data,array('nombres' => $this->input->post('nombres')));            
        }
        if($tipo_cliente[0] == "2"){ //solo en caso de ser cliente juridico se actualiza el campo: razon_social_sunat
            $data = array_merge($data,array('razon_social_sunat' => $this->input->post('razon_social')));
        }
        $mensaje = 'Cliente: ' . $this->input->post('razon_social') . ' ingresado exitosamente';
        $this->clientes_model->insertar($data, $mensaje);
        if($tipo_cliente[0] == 1){
            $tpc = "DNI";
        }else if($tipo_cliente[0] == 2){
            $tpc = "RUC";
        }else{
            $tpc = "SIN DOC.";
        }
        
        $cliente['nombre'] = $tpc.' '.$this->input->post('ruc').' '.strtoupper($this->input->post('razon_social'));
        $cliente['direccion'] = strtoupper($this->input->post('domicilio1'));
        $cliente['id'] = $id;
        $cliente['success'] = 4;
        echo json_encode($cliente);
    }
}