<?PHP

if (!defined('BASEPATH')) exit('No direct script access allowed');

class Habitaciones extends CI_Controller {

 	public function __construct(){
 		parent::__construct(); 		

 		date_default_timezone_set('America/Lima');
 		$this->load->model('accesos_model');
 		$this->load->model('habitaciones_model');
        $this->load->model('tipo_habitaciones_model');        


 		$empleado_id = $this->session->userdata('empleado_id');
 		$almacen_id = $this->session->userdata('almacen_id');

 		if (empty($empleado_id) or empty($almacen_id)) {
 			$this->session->set_flashdata('mensaje','No existe session activa');
 			redirect(base_url());
 		}
 	}

 	public function index(){
 		//echo 122;exit;
 		$this->accesos_model->menuGeneral();
 		$this->load->view('habitaciones/basic_index');
 		$this->load->view('templates/footer');
 	}

 	public function crear(){
 		$data = array();
        $data['tipo_habitaciones'] = $this->tipo_habitaciones_model->select();
 		echo $this->load->view('habitaciones/modal_crear',$data);
 	}

 	public function editar($idHabitacion){ 		
 		$data['habitacion'] =  $this->habitaciones_model->select($idHabitacion);
 		$this->load->view('habitaciones/modal_crear',$data);
 	}

 	public function guardarHabitacion(){
 		$error = array();

        if($_POST['codigo'] == '')
        {
            $error['codigo'] = 'falta ingresar codigo';
        }
        if($_POST['descripcion'] == '')
        {
            $error['descripcion'] = 'falta ingresar descripcion';
        }
        if(count($error) > 0)
        {
            $data = ['status'=>STATUS_FAIL,'tipo'=>1, 'errores'=>$error];
            echo json_encode($data);
            exit();
        }   

        //guardamos el nivel
        $result = $this->habitaciones_model->guardar();
        if($result)
        {
            echo json_encode(['status'=>STATUS_OK]);
            exit();
        }else
        {
            echo json_encode(['status'=>STATUS_FAIL, 'tipo'=>2]);
            exit();
        }   
 	}

 	public function eliminar($idHabitacion){
 		$result = $this->habitaciones_model->eliminar($idHabitacion);
		
		if($result){
			echo json_encode(['status' => STATUS_OK]);
			exit();
		} else{
			echo json_encode(['status' => STATUS_FAIL]);
			exit();
		}
 	}

 	public function getMainList(){
 		$rsDatos = $this->habitaciones_model->getMainList();
 		 echo json_encode($rsDatos);
 	}


    public function rackdeHabitaciones(){

        $data['habitaciones'] =  $this->habitaciones_model->selectRackHabitaciones();

        $array = array();
        $i = 0;    

        foreach ($data['habitaciones'] as $value) {
            
            $array[$value['id']][$i]['descripcion'] =$value['descripcion'];
            $array[$value['id']][$i]['codigo'] =$value['codigo'];
            $i++;
        }
        //var_dump($array);exit;
        $data['habitaciones'] = $array;
        $this->accesos_model->menuGeneral();
        $this->load->view('habitaciones/rackdeHabitaciones',$data);
        $this->load->view('templates/footer');
    }

    public function crearRackHabitacionReserva(){
        $data = array();
        $data['tipo_habitaciones'] = $this->tipo_habitaciones_model->select();        
        echo $this->load->view('habitacion_reservas/modal_crear',$data);
    }
}