<?PHP

class Ordenes extends CI_Controller
{
	public function __construct(){

		parent::__construct();

		$this->load->model('accesos_model');
		$this->load->model('empleados_model');
		$this->load->model('empresas_model');
		$this->load->model('ordenes_model');

		$empleado_id = $this->session->userdata('empleado_id');
        $almacen_id = $this->session->userdata("almacen_id");
        if (empty($empleado_id) or empty($almacen_id)) {
            $this->session->set_flashdata('mensaje', 'No existe sesion activa');
            redirect(base_url());
        }
	}

	public function index(){
		
		$this->load->view('templates/header_administrador');
		$this->load->view('ordenes/basic_index');
		$this->load->view('templates/footer');
	}

	public function guardar_orden(){
		$rs = $this->ordenes_model->guardar();		
		if($rs){
			echo json_encode(['status' => STATUS_OK, 'msg' => 'Orden ingresada']);exit();
		} else {
			echo json_encode(['status' => STATUS_FAIL, 'msg' => 'Orden no guardada correctamente']);exit();
		}
	}

	public function getMainList(){
	
		$rsDatos = $this->ordenes_model->getMainList();
		echo json_encode($rsDatos);

	}

	public function eliminar($idOrden){
		$result =  $this->ordenes_model->eliminar($idOrden);
		if($result){
			echo json_encode(['status' => STATUS_OK]);
			exit();
		} else{
			echo json_encode(['status' =>STATUS_FAIL]);
			exit();
		}
	}

	public function pdfGenerarOrdenOffline($orden_id){
		require(APPPATH.'libraries/Numletras.php');


		$this->db->select('ord.id ord_id,ord.fecha_insert fecha_emision_orden,pac.id paciente_id,pac.ruc pac_ruc, pac.razon_social pac_razon_social, pac.edad pac_edad,pac.mes pac_mes,pac.dia pac_dia,pac.sexo pac_sexo,cli.*,med.razon_social med_razon_social')
				 ->from('ordenes ord')
				 ->join('clientes cli','cli.id = ord.cliente_id')
				 ->join('pacientes pac','pac.id = ord.paciente_id')
				 ->join('medicos med','med.id = ord.medico_id','left')
				 ->where('ord.id', $orden_id);				 

		$query = $this->db->get();
		$rsOrden = $query->row();

		//var_dump($rsOrden);exit;
		$this->db->from('orden_detalles as ord')
				 ->join('productos p','p.prod_id =  ord.producto_id','left')
				 ->where('ord.orden_id', $orden_id);

		$query = $this->db->get();
		$rsDetalle = $query->result();


		$rsOrden->fecha_de_emision = date("d/m/Y h.i A", strtotime($rsOrden->fecha_emision_orden));
		//$rsOrden->fecha_de_emision = (new DateTime($rsOrden->fecha_emision_orden))->format("d/m/Y h:i:s");

		$data = [
					'orden' => $rsOrden,
					'detalles' => $rsDetalle
				];

		$html =  $this->load->view('templates/invoiceOrden.php',$data,true);

		$this->load->library('pdfgenerator');
		$filename = 'orden_pago';

		$this->pdfgenerator->generate($html,$filename,true,'A4','portrait');
	}
	
	
	public function reporteMedicos(){

		//$rsOrdenes =  $this->ordenes_model->reporteMedicos();
		$this->load->view('templates/header_administrador');
		$this->load->view('ordenes/reporteMedicos');
		$this->load->view('templates/footer');
	}


	public function getMainList_rm(){

		$rsDatos = $this->ordenes_model->getMainList_rm();
		echo json_encode($rsDatos);
	}


	public function getMainListDetail_rm(){

		//echo 12312;exit;
		$rsDatos = $this->ordenes_model->getMainListDetail_rm();
		echo json_encode($rsDatos);		
	}

}