<?PHP


class Clientes_model extends CI_Model {

	public function __contruct(){
		parent::__contruct();
		$this->load->database();
	}

public function select($idCliente = ''){

	if($idCliente == '') {
            $rsClientes = $this->db->from("clientes")
                                     ->where("estado", ST_ACTIVO)
                                     ->get()
                                     ->result();
            return $rsClientes;
        } else {
            $rsCliente = $this->db->from("clientes")
                            ->where("id", $idCliente)
                            ->get()
                            ->row();
            return $rsCliente;
        }           
}

//INSERTAR CLIENTE 15-10-2020
public function insertar($data, $mensaje = '') {          
        $this->db->insert('clientes', $data);
        if($mensaje != ''){
            $this->session->set_flashdata('mensaje_cliente_index', $mensaje);
        }
}

public function guardar(){

	$tipo_cliente = explode("xx-xx-xx", $this->input->post('tipo_cliente'));
	if($_POST['id'] != ''){

		$dataUpdate = [
						'tipo_cliente_id' => $tipo_cliente[0],
						'tipo_cliente' => $tipo_cliente[1],
						'ruc' => $_POST['ruc'],
						'razon_social' => strtoupper($_POST['razon_social']),
						'domicilio1' => strtoupper($_POST['domicilio1']),
						'email' => $_POST['email'],
						'pagina_web' => $_POST['pagina_web'],
						'telefono_fijo_1' => $_POST['telefono_fijo_1'],
						'telefono_movil_1' => $_POST['telefono_movil_1']
					];
		$this->db->where('id',$_POST['id']);
		$this->db->update('clientes',$dataUpdate);
	} else {
		$dataInsert = [
						'tipo_cliente_id' => $tipo_cliente[0],
						'tipo_cliente' => $tipo_cliente[1],
						'ruc' => $_POST['ruc'],
						'razon_social' => strtoupper($_POST['razon_social']),
						'domicilio1' => strtoupper($_POST['domicilio1']),
						'email' => $_POST['email'],
						'pagina_web' => $_POST['pagina_web'],
						'telefono_fijo_1' => $_POST['telefono_fijo_1'],
						'telefono_movil_1' => $_POST['telefono_movil_1']
			];
			$this->db->insert('clientes',$dataInsert);
	}
	return true;
}

public function eliminar($idCliente){
	$clienteUpdate = [
					"estado" => ST_ELIMINADO
		];

	$this->db->where("id",$idCliente);
	$this->db->update("clientes", $clienteUpdate);
	return true;
}		

public function getMainList(){
	$select = $this->db->from("clientes")
						->where("estado",ST_ACTIVO);

	if($_POST['search'] != ''){
		$select->like("razon_social",$_POST['search']);
	}

	$selectCount = clone $select;
	$rsCount = $selectCount->get()->result();

	$rows = count($rsCount);

	$rsClientes = $select->limit($_POST['pageSize'],$_POST['skip'])
						->order_by("id","desc")
						->get()
						->result();

	foreach ($rsClientes as $cliente) {
		
			$cliente->cli_editar  = "<a class='btn btn-default btn-xs	btn_modificar_cliente' data-id='{$cliente->id}'
			data-toggle='modal' data-target='#myModal'>Modificar</a>";

		$cliente->cli_eliminar= "<a class='btn btn-default btn-xs btn_eliminar_cliente' data-id='{$cliente->id}' data_msg='Desea Eliminar Cliente: {$cliente->cli_descripcion} ?'>Eliminar</a>";
	}

	$datos = [
			'data' => $rsClientes,
			'rows' => $rows
	];

	return $datos;
}

public function clientePorRuc($ruc){
        $sql = "SELECT razon_social, id FROM clientes WHERE ruc = '" . $ruc . "'";
        $query = $this->db->query($sql);
        
        $respuesta = array('id' => '0');
        if($query->num_rows() > 0){
            $row = $query->row_array();
            
            $respuesta['razon_social'] = $row['razon_social'];
            $respuesta['id'] = $row['id'];
        }
        return $respuesta;        
    }

public function selectAutocomplete($buscar, $activo = ''){	

        $where = ' AND estado = '. ST_ACTIVO;
        $sql = "SELECT
                id,tipo_cliente_id,
                ruc,
                razon_social,
                domicilio1
                FROM clientes
                WHERE
                (ruc LIKE '%$buscar%'
                OR razon_social LIKE '%$buscar%') " . $where . "
                ORDER BY razon_social, ruc";

        $query = $this->db->query($sql);

        $data = array();
        if ($query->row()) {
            foreach ($query->result_array() as $tsArray){
                   
                if ($tsArray['tipo_cliente_id'] == 1) {
                    $doc = "DNI";
                }else if($tsArray['tipo_cliente_id'] == 2){
                    $doc = "RUC";
                }else{
                    $doc = "OTROS";
                }

              //  $data[] = array(
                //    "value" => $tsArray['razon_social'],
                //    "ruc" => $tsArray['ruc'],
               //     "domicilio1" => $tsArray['domicilio1'],
                //    "id" => $tsArray['id']
                //);
                $data[] = array(
                    "value" => $tsArray['id'].' - '.$doc.' '.$tsArray['ruc'].' '.$tsArray['razon_social']." ".$tsArray['nombres'],
                    "ruc" => $tsArray['ruc'],
                    "domicilio1" => $tsArray['domicilio1'],
                    "id" => $tsArray['id']
                );
            }
        }        
        return $data;
    }

public function obtener_codigo() {  
        
        $this->db->select_max('id');
        $result = $this->db->get('clientes');
        $id = ($result->result())[0]->id + 1;
        return $id;
    }               
}
