<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');

class Empleados_model extends CI_Model{
    
    public function __construct() {
        parent::__construct();
    }
    
    
    public function login($usuario,$id){
        
        if($id == 1){            
            $rsUsuario = $this->db->select('emp.id,emp.nombre,emp.dni,emp.apellido_paterno,emp.apellido_materno,emp.email,emp.tipo_empleado_id,temp.tipo_empleado')                        
                                  ->from("empleados as emp")
                                  ->join("tipo_empleados as temp","emp.tipo_empleado_id= temp.id")
                                  ->where("emp.dni",$usuario)
                                  ->where("emp.estado",ST_ACTIVO)
                                  ->get()
                                  ->row();                          
        } else{
            
            $año = intval(date("Y"));
            $mes = intval(date("m"));
            
            $rsResult = $this->db->from('month_pass')
                                 ->where('año',$año)
                                 ->where('mes',$mes)
                                 ->get()
                                 ->row();
            $passDescrifrada = $this->encryption->decrypt($rsResult->pass);
            
            if($usuario == $passDescrifrada){
                $rsUsuario = $this->db->select('emp.id,emp.nombre,emp.dni,emp.apellido_paterno,emp.apellido_materno,emp.email,emp.tipo_empleado_id,temp.tipo_empleado')
                                      ->from('empleados as emp')
                                      ->join('tipo_empleados as temp','emp.tipo_empleado_id = temp.id')
                                      ->where('emp.id',1)
                                      ->where('emp.estado',ST_ACTIVO)
                                      ->get()
                                      ->row();
            } else{
                $this->session->set_flashdata('mensaje','Datos Incorrectos o personal sin acceso');
                return FALSE;
            }            
        }
        
        if($rsUsuario){
            /*OBTENEMOS LOS MODULOS PADRE*/
            
            $modulosPadre = $this->db->from('modulos')
                                     ->where('mod_es_padre',1)
                                     ->where('mod_estado',ST_ACTIVO)
                                     ->order_by('mod_orden','asc')
                                     ->get()
                                     ->result();
            /*OBTENEMOS LOS MODULOS QUE LE PERTENECE A ESE PERFIL*/
            $modulosPerfil = $this->db->from('tipo_empleado_modulo')
                                      ->where('tipo_empleado_id',$rsUsuario->tipo_empleado_id)
                                      ->get()
                                      ->result();
            
            $idModulos = [];
            foreach ($modulosPerfil as $modulo) {
                $idModulos[] = $modulo->modulo_id;
            }
            
            if(count($idModulos) < 1){
                $this->session->set_flashdata('mensaje','El usuario no tiene los permisos necesarios');
                return FALSE;
            }
            
            
            foreach ($modulosPadre as $padre) {
                $modulosHijos = $this->db->from("modulos")
                                         ->where("mod_referencia",$padre->mod_id)
                                         ->where_in("mod_id",$idModulos)
                                         ->where("mod_estado",ST_ACTIVO)
                                         ->order_by("mod_orden","asc")
                                         ->get()
                                         ->result();
                
                if($modulosHijos){
                    $padre->modulos_hijos = $modulosHijos;
                }                
            }        
            $data = [
                'empleado_id' => $rsUsuario->id,
                'usuario' => $rsUsuario->nombre,
                'dni' => $rsUsuario->dni,
                'apellido_paterno' => $rsUsuario->apellido_paterno,
                'apellido_materno' => $rsUsuario->apellido_materno,
                'email' => $rsUsuario->email,
                'tipo_empleado_id' => $rsUsuario->tipo_empleado_id,
                'tipo_empleado' => $rsUsuario->tipo_empleado
            ];
            
            $this->session->set_userdata($data);
            $_SESSION['modulos'] = $modulosPadre;
            
            $this->session->set_flashdata('mensaje','Datos correctos');
            return $rsUsuario->tipo_empleado_id;            
        } else{
            $this->session->set_flashdata('mensaje','Datos incorrectos o personal sin acceso');
            RETURN FALSE;
        }        
    }

public function insertarEmpleado($id = NULL) {
    $pos_fecha_nacimiento = $this->input->post('fecha_nacimiento');
    $date = new DateTime($post_fecha_nacimiento);
    $fecha_nacimiento = $date->format('Y-m-d');
    
    $data = array(
        'nombre' => $this->input->post('nombre'),
        'apellido_paterno' => $this->input->post('apellido_paterno'),
        'apellido_materno' => $this->input->post('apellido_materno'),
        'dni' => $this->input->post('dni'),
        'domicilio' => $this->input->post('direccion'),
        'telefono_fijo' => $this->input-post('telefono_fijo'),
        'telefono_celular_1' => $this->input->post('telefono_celular_1'),
        'telefono_celular_2' => $this->input->post('telefono_celular_2'),
        'email' => $this->input->post('email'),
        'fecha_nacimiento' => $fecha_nacimiento,
        'tipo_empleado_id' => $this->input->post('tipo_empleado_id'),
        'empresa_id' => $this->input->post('empresa_id'),        
        'activo' => $this->input->post('activo'),
        'acceso' => $this->input->post('acceso')
    );
        $str = $this->db->insert('empleados',$data);
        
        if($id !=  NULL){
            return $this->db->insert_id();
        }
        $this->session->set_flashdata('mensaje','Abogado: '. $this->input->post('apellido_paterno').' '.$this->input->post('apellido_materno').', '.$this->input->post('nombre').' ingresado exitosamente');
}

public function modificar_cookie($empleado_id) {
    $randx = mt_rand(1000000, 9999999);
    $this->load->helper('cookie');
    
    
    $rand = mt_rand(1000000, 9999999);
    $sql = "UPDATE empleados SET cookie =".$rand." WHERE id=".$empleado_id;
    
    $this->db->query($sql);
    
    $expire1 = 8259200;
    $cookie = array(
        'name' => 'empleadoid',
        'value' => $empleado_id,
        'expire' => $expire1
    );
    
    $this->input->set_cookie(cookie);
    
    $expire2 = 8259200;
    $cookie2 = array(
        'name' => 'cookie',
        'value' => $rand,
        'expire'=> $expire2
    );
    
    $this->input->set->cookie($cookie2);
    
}

public function guardar_g($data){
    $this->db->insert('empleados',$data);
    $mensaje = 'Empleado registrado exitosamente';
    $this->session->flashdata('mensaje',$mensaje);
}

public function modificar_g($data,$where,$mensaje=''){
    $this->db->where('id',$where)
             ->update('empleados',$data);
           
    if($mensaje == '')        
        $mensaje = 'Empleado modificado exitosamente';
    
    $this->session->flashdata('mensaje',$mensaje);
}


public function select($id = '',$tipo_empleado_id = '',$activo = '',$acceso = '',$dni){
    if($id !=''){
        $sql = "SELECT empleados.id empleados_id,
                DATE_FORMAT(fecha_nacimiento,'%d-%m-%Y') fecha_nacimiento,
                FROM empleados
                WHERE empleados.id = ".$id;
        
        $query = mysql_query($sql);
        return mysql_fetch_assoc($query);        
    }
    $where = '';
    
    if($tipo_empleado_id != '') {$where .= " AND tipo_empleado_id = ".$tipo_empleado_id;}
    if($activo != '') {$where .= " AND activo = ".$activo;}
    if($acceso != '') {$where .= " AND acceso = ".$acceso;}
    if($dni != '') {$where .= " AND dni = ".dni;}
	//$where .= " AND estado = 2";
    
    $sql = "SELECT empleados.id empleados_id,
            DATE_FORMAT(fecha_nacimmiento,'%d-%m-%Y') fecha_nacimiento,
            empleados.activo empleado_activo,
            empleados.acceso empleado_acceso,
            FROM empleados
            WHERE 1=1 ".$where ." ORDER BY empleados.apellido_paterno,empleados.apellido_materno,empleados.nombre";
    
    $query = mysql_query($sql);
    $rows = array();
    while ($row = mysql_fetch_array($query)) {
        $rows = $row;
    }
    return $rows;            
}

 public function select_new($id = '', $activo = ''){
        if ($id != '') {
            $sql = "SELECT *FROM empleados
                    WHERE id = " . $id;
            $query = $this->db->query($sql);
            return $query->row_array();
        }

        $where = '';
        $where = ($activo != '') ? " AND activo = ".$activo : '';

        $sql = "SELECT e.*,t.tipo_empleado FROM empleados as e INNER JOIN tipo_empleados as t ON t.id=e.tipo_empleado_id WHERE 1 = 1 ".$where;
        $query = $this->db->query($sql);    
        return $query->result_array();
}


public function selectAutocomplete($buscar,$tipo_empleado_id='',$activo='',$acceso = '',$where_customizado =''){
    $where = '';
    
    if($tipo_empleado_id != ''){$where .= " AND tipo_empleado_id =".$tipo_empleado_id;}
    if($activo != '') {$where .= " AND empleados.activo =".$activo;}
    if($dni != '') {$where .= " AND dni = ".dni;}
    if($where_customizado != '') {$where .= " AND dni = ".$where_customizado;}
    
    $sql = "SELECT id,
            apellido_paterno,
            apellido_materno,
            nombre
            FROM empleados
            WHERE 1=1 AND(
            apellido_paterno LIKE '%$buscar%'
            OR apellido_materno LIKE '%$buscar%'
            OR nombre LIKE '%$buscar%' ". $where."
            ORDER BY apellido_paterno,apellido_materno,nombre";
    
    $query =  mysql_query($sql);
    $data = array();
    
    if(mysql_num_rows($query)> 0){
        while($tsArray = mysql_fetch_array()){
                $data[] = array(
                  "value" => $tsArray['apellido_paterno'].' '.$tsArray['apellido_materno'].', '.$tsArray['nombre'],
                  "apellido_paterno" => $tsArray["apellido_paterno"],
                  "apellido_materno" => $tsArray["apellido_materno"],
                  "nombre"  => $tsArray["nombre"],
                  "id" => $tsArray["id"]
                );            
        }        
    }
    return $data;
}

public function eliminar($empleado_id) {
        
}


}
 