<?php


 /**
  * 
  */
 class Cobros_model extends CI_Model
 {
 	
 	function __construct()
 	{
 	  parent::__construct();
 	}

 	public function select($cobros='',$comprobante_id = ''){     
    if ($cobros=='') {

      if($comprobante_id != '')
        $this->db->where('comprobante_id', $comprobante_id);      

      $res = $this->db->select('com.id,com.comprobante_id,com.monto,DATE_FORMAT(com.fecha,"%d-%m-%Y") fecha',FALSE)
                      ->from("cobros com")
                      ->where("com.estado", ST_ACTIVO)
                      ->get()
                      ->result();
                return $res;
      }else{
          $res = $this->db->select('com.id,com.comprobante_id,com.monto,DATE_FORMAT(com.fecha,"%d-%m-%Y") fecha',FALSE)
                   ->from("cobros")
                   ->where("id",$cobros)
                   ->where("estado", ST_ACTIVO)
                   ->get()
                   ->row();
                 return $res;
      }
 	}


 	public function guardar(){


  $fecha = (new DateTime($_POST['fecha']))->format('Y-m-d');

  if ($_POST['id']=='') {
   
    $datainsert=['comprobante_id'=>$_POST['comprobante_id'],
    	           'monto'=>$_POST['monto'],                 
                 'fecha'=>$fecha                 
                 ];
      $this->db->insert("cobros",$datainsert);

      }else{


    $datamodificar=[
                    'monto'=>$_POST['monto'],                    
                    'fecha'=>$fecha
                    ];

             $this->db->where("id",$_POST['id']);
             $this->db->update("cobros",$datamodificar);
            
      }

      return TRUE;
 	}


    //SELECT COMPROBANTES CRÉDITO
    public function selectComprobantesCredito() {
                        

        if($_POST['cliente_id'] != '')
          $this->db->where('com.cliente_id', $_POST['cliente_id']);

        
        $rsComprobantes =  $this->db->select('com.id comprobante_id, cli.razon_social cli_razon_social,tip.tipo_documento tipo_documento,serie,numero,total_a_pagar,DATE_FORMAT(com.fecha_de_emision,
          "%d-%m-%Y") fecha_de_emision,DATE_FORMAT(com.fecha_de_vencimiento,"%d-%m-%Y") fecha_de_vencimiento,mon.moneda moneda, mon.simbolo simbolo',FALSE)
                                    ->from('comprobantes com')                                    
                                    ->join('clientes cli','com.cliente_id = cli.id')
                                    ->join('tipo_documentos tip','com.tipo_documento_id = tip.id')
                                    ->join('empresas emp','com.empresa_id = emp.id')
                                    ->join('monedas mon','com.moneda_id = mon.id')
                                    ->where('com.tipo_pago_id', 2)// 2 COMPROBANTES AL CRÉDITO
									->order_by('com.id DESC')
                                    ->get()
                                    ->result();



        foreach ($rsComprobantes as $comprobante) {



            $totalCancelado = ($this->totalCanceladoComprobante($comprobante->comprobante_id) != '') ? $this->totalCanceladoComprobante($comprobante->comprobante_id): 0;
            $saldo = $comprobante->total_a_pagar - $totalCancelado;            
            $comprobante->saldo = number_format($saldo,2);
        }

        //var_dump($rsComprobantes);exit();
        return  $rsComprobantes;                                              
 }

 public function totalCanceladoComprobante($comprobante_id){

    $rsSaldo = $this->db->select('SUM(monto) totalCancelado')
                        ->from('cobros')
                        ->where('comprobante_id',$comprobante_id)
                        ->where("estado", ST_ACTIVO)
                        ->group_by('comprobante_id')                        
                        ->get()  
                        ->row();
                        //var_dump($rsSaldo);    
      return $rsSaldo->totalCancelado;
 }


 public function eliminar($idCobro){

   $cobroUpdate = [
                          "estado" => ST_ELIMINADO
                        ];

      $this->db->where("id", $idCobro);
      $this->db->update("cobros", $cobroUpdate);
      return true;
 }

}