<h2 align="center"><strong>Medicos</strong></h2>
<br>

<div class="container-fluid">
	<div class="row">
		<div class="col-md-4">
			<button id="btn_nuevo_medico" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModal">Nuevo Medico</button>
		</div>
		<div class="col-md-4 col-md-offset-4">
			<div class="form">
				<div class="input-group">
					<input type="text" class="form-control" id="search" placeholder="Buscar por nombre">
					<span class="input-group-btn">
						<button class="btn btn-default" type="button" id="btn_buscar_medico"><span class="glyphicon glyphicon-search"></span></button>
					</span>
				</div>
			</div>
		</div>
	</div>
	<br>
	<div id="grid"></div>
</div>

<script>
	
	var dataSource = new kendo.data.DataSource({
		transport: {
			read: {
				url:"<?PHP echo base_url()?>index.php/medicos/getMainList/",
				dataType: "json",
				method: "post",
				data: function(){
					return{
						search:function(){
							return $("#search").val();
						}
					}
				}				
			}
		},

		schema:{
			data: 'data',
			total: 'rows'
		},
		pageSize: 20,
		serverPaging: true,
		serverFiltering: true,
		serverSorting: true
	});

	$("#grid").kendoGrid({
		dataSource: dataSource,
		height: 550,
		sortable: true,
		pageable: true,
		columns: [					
					{field:'razon_social',title:'NOMBRE',width:'150px'},
					{field:'especialidad',title:'ESPECIALIDAD',width:'150px'},
					{field:'telefono',title:'TELEFONO',width:'150px'},
					{field:'med_editar',title:'&nbsp',width:'60px',template:"#= med_editar #"},
					{field:'med_eliminar',title:'&nbsp',width:'60px',template:"#= med_eliminar #"},
		],
		dataBound: function(e){
			//modificar nivel
			$('.btn_modificar_medico').click(function(e){
				var idMedico = $(this).data('id');
				$("#myModal").load('<?= base_url()?>index.php/medicos/editar/'+idMedico,{});
			});

			$('.btn_eliminar_medico').click(function(e){
				e.preventDefault();
				var idMedico = $(this).data('id');
				var msg = $(this).data(msg);
				var url = '<?= base_url()?>index.php/medicos/eliminar/'+idMedico
				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm:{
							text:'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status ==  STATUS_OK){
											toast('success',1500,'medico eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar el medico porque tiene medicos agregados');
										}
									}
								});
							}
						},
						cancel: function(){

						}
					}
				});
			});
		}
	});

	//nuevo medico
	$('#btn_nuevo_medico').click(function(e){
		e.preventDefault();
		$('#myModal').load('<?= base_url()?>index.php/medicos/crear',{})
	});

	//buscar medico
	$('#btn_buscar_medico').click(function(e){
		e.preventDefault();
		dataSource.read();
	});

	//buscar medico por campo texto
	$("#search").keyup(function(e){
		e.preventDefault();
		var enter = 13;
		if(e.which == enter){
			dataSource.read();
		};
	});

</script>