
<script type="text/javascript">
	$(document).ready(function(){
		$("#fecha_desde").datepicker();
		$("#fecha_hasta").datepicker();

        //va a llamar al metodo del controlador buscar_medico,
		$("#medico").autocomplete({
			source: "<?= base_url()?>index.php/medicos/buscador_medico",
			minLength: 2,
			select: function(event,ui){
				var data_med = '<input type="hidden" value="'+ui.item.id+'" name="medico_id" id="medico_id">';
				$("#data_med").html(data_med);

			},
			change: function(event,ui){
				if(!ui.item){
					this.value = '';
					$("#medico_id").val('');
				}
			}
		});
	});
</script>
<div class="container">
	<form id="formOrdenes">
	<div class="row" style="padding-top: 20px">
		<div class="col-xs-2 col-md-2 col-lg-2">
			<label> Fecha Desde&nbsp;&nbsp;&nbsp;<span class="glyphicon glyphicon-calendar"></span>
				<input type="text" class="form-control" name="fecha_desde" id="fecha_desde">
			</label>
		</div>		
		<div class="col-xs-2 col-md-2 col-lg-2">
			<label> Fecha Hasta&nbsp;&nbsp;&nbsp;<span class="glyphicon glyphicon-calendar"></span>
				<input type="text" class="form-control" name="fecha_hasta" id="fecha_hasta">
			</label>
		</div>		
		<div class="col-xs-3 col-md-3 col-lg-3 col-md-offset-1">
			<label>Medico
				<input type="text" class="form-control input-md" name="medico" id="medico">
				<div id="data_med"><input type="hidden" name="medico_id" id="medico_id"></div>
			</label>
		</div>
		<div class="col-xs-1 col-md-1 col-lg-1">
			<br>					
			<button id="buscarOrdenes" type="button" class="btn btn-primary btn-block">Buscar</button>
		</div>
	</div>
</form>
</div><br><br>
<div>
	<div id="grid"></div>
</div>

<script type="text/javascript">
	
	var dataSource = new kendo.data.DataSource({
		transport : {
			read : {
				url: "<?PHP echo base_url();?>index.php/ordenes/getMainList_rm",
				dataType: "json",
				method: "post",
				data: function(){
					return{
						search: function(){
							return $("#search").val();
						},
						medico: function(){
							return $("#medico_id").val();
						},
						fecha_desde : function(){
							return $("#fecha_desde").val();
						},
						fecha_hasta : function(){
							return $("#fecha_hasta").val();	
						}
					}
				}
			}
		},
		schema: {
			model: {
				id: 'med_id'
			},
			data: 'data',
			total: 'rows'
		},
		pageSize: 20,
		serverPaging: true,
		serverFiltering: true,
		serverSorting: true
	});

	$("#grid").kendoGrid({
		dataSource: dataSource,
		selectable: true,
		height: 550,
		sortable: true,
		pageable: true,		
		columns: [				
			{field: 'med_id', title:' ID', width: '30px'},
			{field: 'med_razon_social', title:' MEDICO', width: '150px'},	
			//{field: 'descuento_global', title:' DESCUENTO GLOBAL', width: '150px'},
			{field: 'med_montoTotal', title:'TOTAL', width: '150px'}	
		],
		change: function() {
        var row = this.select();
        var id = row.data("id"); 
        console.log(id);
    	},
		detailTemplate : '<div class="lista_ordenes"></div>',
		detailInit: detailInit,
		dataBound: function(e){			

			$("#buscarOrdenes").click(function(e){
                e.preventDefault();
                dataSource.read();
            });

			$('.btn_eliminar_orden').click(function(e){
				e.preventDefault();
				var idOrden = $(this).data('id');
				var msg = $(this).data('msg');

				var url = '<?= base_url()?>index.php/facturacionPendientes/eliminar/'+idOrden

				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm: {
							text: 'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status == STATUS_OK){
											toast('success',1500,'orden eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar orden');
										}
									}
								});
							}
						},
						cancel: function(){
						}
					}
				});
			});


			$(".show_pdf").click(function(e){		
				var _val = $(this).attr("idval");
				javascript:window.open("<?PHP echo base_url()?>index.php/ordenes/pdfGenerarOrdenOffline/"+_val,'','width=750,height=600,scrollbars=yes,resizable=yes');
			});			
		}
	});

	//DETALLES DE ORDENES
	function detailInit(e){

		var detailRow = e.detailRow;

		detailRow.find(".lista_ordenes").kendoGrid({

			dataSource: {
				type: 'json',
				transport: {
					read:{
						url: '<?PHP echo base_url()?>index.php/ordenes/getMainListDetail_rm',
						dataType: 'json',
						method: 'post',
						data: function(){							
							return{
								medico_id: e.data.id,
								fecha_desde : function(){
									return $("#fecha_desde").val();
								},
								fecha_hasta : function(){
									return $("#fecha_hasta").val();	
								}
							}

						}
					}					
				},
				schema: {
					model: {
						id: 'ord_id'						
					},
					data: 'data',
					total: 'rows'
				},
				serverPaging: true,
                serverSorting: true,
                serverFiltering: true,
                scrollable: false,
                persistSelection: true,
                pageSize: 7,                
			},
			scrollable: false,
            sortable: true,           
            pageable: true,            
            columns: [
            	{selectable: true, width: "20px"},
                //{ field: "indiced", title:"N°", width: "40px" },
                { field: "ord_fecha_de_emision", title:"FECHA DE EMISION", width: "40px" },
                { field: "pac_razon_social",title :"PACIENTE", width: "100px" },
                { field: "med_razon_social",title :"MEDICO", width: "60px" },
                //{ field: 'descuento', title:'DESCUENTO', width: '150px'},
                { field: 'montoTotal', title:'TOTAL', width: '150px'},	
                { field: 'btn_pdf', title:'&nbsp', width: '60px', template:"#= btn_pdf #"}                                          
            ],
            dataBound: function(e){               	
            	grid1 = $("#grid").data("kendoGrid");
            	var selectedItem = grid1.dataItem(grid1.select().coloumnName);
            	//var row = grid1.select();				

				$('#btn_generar_comprobante').click(function(e){
				var grid = $(".lista_ordenes").data("kendoGrid");
				console.log(grid.selectedKeyNames());

				if(grid.selectedKeyNames().length == 0){
                    alert('SELECCIONE ORDEN');
                }              	

                var idOrden = grid.selectedKeyNames();
				location.href = "<?PHP echo base_url()?>index.php/comprobantes/generar_comprobante_orden?array="+idOrden;
			});
            

				$('.btn_eliminar_orden').click(function(e){
				e.preventDefault();
				var idOrden = $(this).data('id');
				var msg = $(this).data('msg');

				var url = '<?= base_url()?>index.php/ordenes/eliminar/'+idOrden

				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm: {
							text: 'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status == STATUS_OK){
											toast('success',1500,'orden eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar orden');
										}
									}
								});
							}
						},
						cancel: function(){
						}
					}
				});
			});

            	$(".show_pdf").click(function(e){		
					var _val = $(this).attr("idval");
					javascript:window.open("<?PHP echo base_url()?>index.php/ordenes/pdfGenerarOrdenOffline/"+_val,'','width=750,height=600,scrollbars=yes,resizable=yes');
				});         	
            }

		});
	}


	//Buscar Orden
	$("#btn_buscar_orden").click(function(e){
		e.preventDefault();
		dataSource.read();

	});

	//Buscar Orden por campo de texto
	$("#search").keyup(function(e){
		e.preventDefault();
		var enter = 13;
		if(e.which == enter){
			dataSource.read();
		}
	});	


</script>