<?PHP
use PhpOffice\PhpSpreadsheet\Spreadsheet;    
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\IOFactory;

 if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Medicos extends CI_Controller {

    public function __construct() {
        parent::__construct();        
        $this->load->model('accesos_model');
        $this->load->model('empleados_model');                
        $this->load->model('empresas_model');        
        $this->load->model('medicos_model');
        $this->load->model('tipo_clientes_model');

        $this->load->library('pagination');

        $empleado_id = $this->session->userdata('empleado_id');
        $almacen_id = $this->session->userdata("almacen_id");
        if (empty($empleado_id) or empty($almacen_id)) {
            $this->session->set_flashdata('mensaje', 'No existe sesion activa');
            redirect(base_url());
        }
    }   

    
    public function index(){        
        $this->accesos_model->menuGeneral();
        $this->load->view('medicos/basic_index');
        $this->load->view('templates/footer');
    }

    public function crear(){
        $data = array();
        //$data['tipo_clientes'] = $this->tipo_clientes_model->select();
        echo $this->load->view('medicos/modal_crear',$data);
    }

    public function editar($idMedico){       
        $data['medico'] =  $this->medicos_model->select($idMedico);
        //$data['tipo_clientes'] = $this->tipo_clientes_model->select();
        $this->load->view('medicos/modal_crear',$data);
    }

    public function guardarMedico(){
        $error = array();        
        if($_POST['razon_social'] == '')
        {
            $error['razon_social'] = 'falta ingresar razon social';
        }        
        if($_POST['especialidad'] == '')
        {
            $error['especialidad'] = 'falta ingresar especialidad';
        }        

        if(count($error) > 0)
        {
            $data = ['status'=>STATUS_FAIL,'tipo' => 1, 'errores'=>$error];
            echo json_encode($data);
            exit();
        }   

        //guardamos medico
        $result = $this->medicos_model->guardar();
        if($result)
        {
            echo json_encode(['status'=>STATUS_OK]);
            exit();
        }else
        {
            echo json_encode(['status'=>STATUS_FAIL, 'tipo'=>2]);
            exit();
        }   
    }

    public function eliminar($idMedico){
        $result = $this->medicos_model->eliminar($idMedico);
        
        if($result){
            echo json_encode(['status' => STATUS_OK]);
            exit();
        } else{
            echo json_encode(['status' => STATUS_FAIL]);
            exit();
        }
    }

    public function getMainList(){
        $rsDatos = $this->medicos_model->getMainList();
        echo json_encode($rsDatos);
    }

    public function buscador_medico() {
        $medico = $this->input->get('term');
        echo json_encode($this->medicos_model->selectAutocomplete($medico, ST_ACTIVO));
    }
    
    public function buscar_medico_modal(){
        $texto = $this->input->get('texto');
        $this->db->like('razon_social',$texto,'after');        
        $this->db->limit(15);
        $cm = $this->db->get('medicos')->result();
        echo json_encode($cm);
    }

    public function seleccionar_medico_modal(){
        $ruc = $this->input->get('cod');
        $this->db->where('ruc',$ruc);
        $cm = $this->db->get('clientes')->row();
        echo json_encode($cm);
    } 
}