	<?PHP

class Pacientes extends CI_controller
{
	
	public function __construct()
	{
		parent::__construct();
		$this->load->model('accesos_model');
		$this->load->model('pacientes_model');
		$this->load->model('clientes_model');
	}


	public function index(){
		$this->accesos_model->menuGeneral();
        $this->load->view('pacientes/basic_index');
        $this->load->view('templates/footer');
	}

	public function crear(){
        $data = array();
        //$data['tipo_clientes'] = $this->tipo_clientes_model->select();
        echo $this->load->view('pacientes/modal_crear',$data);
    }

    public function editar($idPaciente){       
        $data['paciente'] =  $this->pacientes_model->select($idPaciente);
        //$data['tipo_clientes'] = $this->tipo_clientes_model->select();
        $this->load->view('pacientes/modal_crear',$data);
    }      


    public function guardarPaciente_v(){
    	$error = array();

    	if($_POST['ruc'] == ''){
    		$error['ruc'] =  'falta ingresar ruc';
    	}
    	if($_POST['razon_social'] == ''){
    		$error['razon_social'] =  'falta ingresar razon social';
    	}
    	if($_POST['lugar_nacimiento'] == ''){
    		$error['lugar_nacimiento'] = 'falta ingresar lugar nacimiento';    		
    	}
    	if($_POST['fecha_nacimiento'] == ''){
    		$error['fecha_nacimiento'] = 'falta ingresar lugar fecha_nacimiento';
    	}
    	if($_POST['edad'] == ''){
    		$error['edad'] = 'falta ingresar edad';
    	}
    	if($_POST['mes'] == ''){
    		$error['mes'] = 'falta ingresar lugar mes';
    	}
    	if($_POST['dia'] == ''){
    		$error['dia'] = 'falta ingresar dia';
    	}
    	if($_POST['sexo'] == ''){
    		$error['sexo'] = 'falta ingresar sexo';
    	}
    	if($_POST['telefono'] == ''){
    		$error['sexo'] = 'falta ingresar telefono';
    	}

    	if(count($error) > 0){

    		$data = ['status' => STATUS_FAIL, 'tipo' => 1, 'errores' => $error];
    		echo json_encode($data);
    		exit();
    	}

    	//GUARDARMOS PACIENTE
		$result =  $this->pacientes_model->guardarPaciente_v();

		if($result){
			echo json_encode(['status' => STATUS_OK]);
			exit();
		} else {
			echo json_encode(['status' => STATUS_FAIL,'tipo' => 2]);
			exit();
		}
    }

	public function guardarPaciente(){

		$fecha_nacimiento =  new DateTime($_POST['fecha_nacimiento']);
		$fecha_nacimiento = $fecha_nacimiento->format('Y-m-d');

		$data = array('ruc' => $_POST['ruc'],
					  'razon_social' => strtoupper($_POST['razon_social']),
					  'lugar_nacimiento' => strtoupper($_POST['lugar_nacimiento']),
					  'fecha_nacimiento' => $fecha_nacimiento,
					  'edad' => $_POST['edad'],
					  'mes' => $_POST['mes'],
					  'dia' => $_POST['dia'],
					  'sexo' => strtoupper($_POST['sexo']),
					  'telefono' => $_POST['telefono']);

		$rs = $this->pacientes_model->guardarPaciente($data);
		if($rs){
			echo json_encode(['status' => STATUS_OK]);
			exit();
		} else {
			echo json_encode(['status' => STATUS_FAIL]);
			exit();
		}

	}	

	public function buscarPaciente(){				
		$rs =  $this->pacientes_model->select('',$_POST['ruc']);		
		
		$rsCliente = [];
		if($rs[0]->cliente_id != NULL){
			$rsCliente =  $this->clientes_model->select($rs[0]->cliente_id);			
		}
		 if($rs){
			echo json_encode(array('status' => STATUS_OK,'data' => $rs,'dataCliente' => $rsCliente));
		 	exit();
		 } else{
		 	echo json_encode(array('status' => STATUS_FAIL));
		 	exit();
		 }
	}

	public function buscador_paciente(){
		$paciente = $this->input->get('term');		
		echo json_encode($this->pacientes_model->selectAutocomplete($paciente,ST_ACTIVO));
	}	

	public function eliminar($idPaciente){
        $result = $this->pacientes_model->eliminar($idPaciente);
        
        if($result){
            echo json_encode(['status' => STATUS_OK]);
            exit();
        } else{
            echo json_encode(['status' => STATUS_FAIL]);
            exit();
        }
    }
	public function getMainList(){
        $rsDatos = $this->pacientes_model->getMainList();
        echo json_encode($rsDatos);
    }
}