<?php

class facturacionPendientes_model extends CI_Model
{	
	public function __construct()	
	{
		parent::__construct();
		$this->load->database();
	}


	public function select($idOrden = ''){		
		if($idOrden == ''){
			$rsOrdenes = $this->db->from('ordenes')
								  ->get()
								  ->row();
			return $rsOrdenes;
		}

		$rsOrden = $this->db->from("ordenes")
							->where("id", $idOrden)
							->get()
							->row_array();							
		//Detalle Orden
		$rsDetalle = $this->db->from("orden_detalles")
							  ->where("orden_id", $idOrden)
							  ->get()
							  ->result_array();

		$rsOrdenes['detalles'] =  $rsDetalle;
		return $rsOrdenes;
	}


	public function guardar(){

		$array = array(
					'fecha_de_emision' => date('Y-m-d'),
					'cliente_id'  => $_POST['cliente_id'],
					'paciente_id' => $_POST['paciente_id'],
					'medico_id'   => $_POST['medico_id']					
				);		

		$this->db->insert('ordenes',$array);
		$orden_id =  $this->db->insert_id();

		$item_id = $_POST['item_id'];
		$descripcion = $_POST['descripcion'];
		$cantidad    = $_POST['cantidad'];
		$importe     = $_POST['importe'];
		$medida      = $_POST['medida'];
		$tipo_igv    = $_POST['tipo_igv'];

		$i = 0;
		foreach ($item_id as $value) {
			$dataDetalleInsert['orden_id'] = $orden_id;
			$dataDetalleInsert['producto_id'] = $item_id[$i];
			$dataDetalleInsert['descripcion'] = $descripcion[$i];
			$dataDetalleInsert['cantidad']    = $cantidad[$i];
			$dataDetalleInsert['importe']     = $importe[$i];			
			$dataDetalleInsert['tipo_igv_id']     = $tipo_igv[$i];
			
			$this->db->insert('orden_detalles',$dataDetalleInsert);
			$i++;			
		}

		return 2;
	}



	public function getMainList(){		

		//FILTRO POR FECHA
		$where = 'ord.id is NOT NULL';
		if($_POST['fecha_desde'] != ''){
			$fecha_desde = (new DateTime($_POST['fecha_desde']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) >= '".$fecha_desde."'";
		}
		if($_POST['fecha_hasta'] != ''){
			$fecha_hasta = (new DateTime($_POST['fecha_hasta']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) <= '".$fecha_hasta."'";
		}


		$select =  $this->db->select('cli.id cli_id,MAX(ord.id) ord_id, cli.razon_social cli_razon_social,SUM(ord.descuento_global) descuento_global',FALSE)
							->from('clientes cli')
							->join('ordenes ord','ord.cliente_id =  cli.id')
							->where($where)
							->where('ord.facturado', 0)
							->where('ord.estado', 2)
							->where('cli.estado', ST_ACTIVO)							
							->group_by('cli.id')
							->order_by('ord_id desc');		
							
		if($_POST['search'] != ''){			
			$select->like("razon_social",$_POST['search']);
		}		
		
		$selectCount = clone $select;
		$rsCount = 	$selectCount->get()
								->result();

		//var_dump($rsCount);exit;
		$rows = count($rsCount);

		$rsClientes = $select->limit($_POST['pageSize'], $_POST['skip'])
							->get()
							->result();
				
		foreach ($rsClientes as $cliente) {

			$cliente->cli_montoTotal = $this->totalOrdenes($cliente->cli_id,$where) - $cliente->descuento_global;
			$cliente->cli_eliminar = "<a class='btn btn-danger btn-xs btn_eliminar_cliente' data-id='{$cliente->cli_id}' data-msg='Desea eliminar orden: {$cliente->cli_id}?'><i class='glyphicon glyphicon-remove'></i></a>";

			$cliente->btn_pdf = '<a class="show_pdf" title="ver pdf" href="#" idval="'.$cliente->cli_id.'"><img title="Ver Pdf" src="'.base_url().'/images/pdf.png"></a>';
		}							

		$datos = [
					'data' => $rsClientes,
					'rows' => $rows
			];

			return $datos;
	}

	public function getMainListDetail(){
		if($_POST['cliente_id']){
			$this->db->where('ord.cliente_id', $_POST['cliente_id']);
		}

		//FILTRO POR FECHA
		$where = 'ord.id is NOT NULL';
		if($_POST['fecha_desde'] != ''){
			$fecha_desde = (new DateTime($_POST['fecha_desde']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) >= '".$fecha_desde."'";
		}
		if($_POST['fecha_hasta'] != ''){
			$fecha_hasta = (new DateTime($_POST['fecha_hasta']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) <= '".$fecha_hasta."'";
		}		

		//echo $_POST['cliente_id'];exit();		
		$rsOrdenesClientes = $this->db->select('ord.id ord_id,DATE_FORMAT(ord.fecha_de_emision,"%d-%m-%y %h:%i 
			%p") ord_fecha_de_emision,cli.id cli_id,cli.razon_social cli_razon_social,pac.razon_social pac_razon_social',FALSE)
									  ->from('ordenes ord')
									  ->join('clientes cli','ord.cliente_id = cli.id')
									  ->join('pacientes pac', 'ord.paciente_id = pac.id')
									  ->where($where)
									  ->where('ord.facturado', 0)
									  ->where('ord.estado', 2)
									  ->order_by('ord.id desc')
									  ->get()
									  ->result();
		//var_dump($rsOrdenesClientes);exit;
		$rows = count($rsOrdenesClientes);
		//var_dump($rows);exit;
		$i = 1;
		foreach ($rsOrdenesClientes as $item) {
			$item->indiced = $i;
			$item->btn_eliminar = "<a class='btn btn-danger btn-xs btn_eliminar_orden' data-id='{$item->ord_id}' data-msg='Desea eliminar orden: {$item->ord_id}?'><i class='glyphicon glyphicon-remove'></i></a>";
			$item->btn_pdf = '<a class="show_pdf" title="ver pdf" href="#" idval="'.$item->ord_id.'"><img title="Ver Pdf" src="'.base_url().'/images/pdf.png"></a>';
			$i++;
		}

		$datos = [
					'data' => $rsOrdenesClientes,
					'rows' => $rows
					];
					//var_dump($datos);exit;

		return $datos;			
	}

	public function eliminar($idOrden){
		$ordenUpdate = [
							'estado' => ST_ELIMINADO
						];

		$this->db->where('id', $idOrden);
		$this->db->update('ordenes', $ordenUpdate);

		return TRUE;
	}



	public function totalOrdenes($cliente_id,$where = ''){
		
		$this->db->where('ord.cliente_id', $cliente_id);
		if($where != "") $this->db->where($where);
		$rsTotal = $this->db->select('SUM(od.total) total')
							->from('ordenes ord')
							->join('orden_detalles od','od.orden_id = ord.id')
							->where('ord.facturado', 0)
							->where('ord.estado', 2)
							->where('ord.estado', ST_ACTIVO)
							->group_by('ord.cliente_id')
							->get()
							->row();
		return $rsTotal->total;
	}
}