<?php

class Ordenes_model extends CI_Model
{	
	public function __construct()	
	{
		parent::__construct();
		date_default_timezone_set('America/Lima');
		
		$this->load->database();
		$this->load->model('clientes_model');
	}

	public function select($idOrden = ''){		
		if($idOrden == ''){
			$rsOrdenes = $this->db->from('ordenes')
								  ->get()
								  ->row();
			return $rsOrdenes;
		}

		$rsOrden = $this->db->from("ordenes")
							->where("id", $idOrden)
							->get()
							->row_array();							
		//Detalle Orden
		$rsDetalle = $this->db->from("orden_detalles")
							  ->where("orden_id", $idOrden)
							  ->get()
							  ->result_array();

		$rsOrdenes['detalles'] =  $rsDetalle;
		return $rsOrdenes;
	}
	
	//Creado Alexander Fernandez 07-07-2020
	public function selectOrdenDetalles($orden_id = array()){			
		$rsOrdenes = $this->db->select('MAX(ord.id),od.cliente_id,unidad_id,COUNT(ord.producto_id) cantidad_count,SUM(ord.cantidad) cantidad,producto_id,descripcion,tipo_igv_id,importe,descuento')
				              ->from('orden_detalles ord')
				              ->join('ordenes od','od.id = ord.orden_id')				              
				              ->where_in('orden_id',$orden_id)
				              ->order_by('ord.id')
				              ->group_by('ord.producto_id')
				              ->get()
				              ->result_array();		
		return $rsOrdenes;
	}

	public function guardar($facturado = 0,$tipoTransaccion = 1){
		//REGISTRO DE CLIENTE API   
         if($_POST['cliente_id'] == 'jApi'){ //REGISTRA CLIENTE RUC
                $this->db->where('ruc',$_POST['ruc_sunat']);
                $dato_sunat_cliente = $this->db->get('clientes')->row();
                if(empty($dato_sunat_cliente->ruc)){
                    $id = $this->clientes_model->obtener_codigo();
                    $data = array(
                        'id' => $id,
                        'ruc' => $_POST['ruc_sunat'],
                        'razon_social' => strtoupper($_POST['razon_sunat']),
                        'domicilio1' => strtoupper($_POST['direccion']),                        
                        'empresa_id' => 1,
                        'activo' => 'activo',
                        'empleado_id_insert' => $this->session->userdata('empleado_id'),
                        'tipo_cliente_id' => 2,
                        'tipo_cliente' => 'Persona Jurídica'
                    );
                    $this->db->insert('clientes',$data);
                    $_POST['cliente_id'] = $id;
                }else{
                    $_POST['cliente_id'] = $dato_sunat_cliente->id; 
                }        
         } else if($_POST['cliente_id'] == 'nApi'){//REGISTRA CLIENTE DNI
                $this->db->where('ruc',$_POST['ruc_sunat']);
                $dato_sunat_cliente = $this->db->get('clientes')->row();
                if(empty($dato_sunat_cliente->ruc)){
                    $id = $this->clientes_model->obtener_codigo();
                    $data = array(
                        'id' => $id,
                        'ruc' => $_POST['ruc_sunat'],
                        'razon_social' => strtoupper($_POST['razon_sunat']),
                        'domicilio1' => strtoupper($_POST['direccion']),                        
                        'empresa_id' => 1,
                        'activo' => 'activo',
                        'empleado_id_insert' => $this->session->userdata('empleado_id'),
                        'tipo_cliente_id' => 1,
                        'tipo_cliente' => 'Persona Natural'
                    );
                    $this->db->insert('clientes',$data);
                    $_POST['cliente_id'] = $id;
                }else{
                    $_POST['cliente_id'] = $dato_sunat_cliente->id; 
                }
         }

		$array = array(
					'fecha_de_emision' => date('Y-m-d H:i:s'),
					'cliente_id'  => $_POST['cliente_id'],
					'paciente_id' => $_POST['paciente_id'],
					'medico_id'   => $_POST['medico_id'],
					'facturado'   => $facturado,
					'tipoTransaccion' => $tipoTransaccion,
					'descuento_global' => $_POST['descuento_global']
				);			

		$this->db->insert('ordenes',$array);
		$orden_id =  $this->db->insert_id();

		$item_id = $_POST['item_id'];
		$descripcion = $_POST['descripcion'];
		$cantidad    = $_POST['cantidad'];
		$importe     = $_POST['importe'];
		$medida      = $_POST['medida'];
		$tipo_igv    = $_POST['tipo_igv'];
		$total    = $_POST['total'];
		$descuento   = $_POST['descuento'];

		$i = 0;
		foreach ($item_id as $value) {
			$dataDetalleInsert['orden_id'] = $orden_id;
			$dataDetalleInsert['producto_id'] = $item_id[$i];
			$dataDetalleInsert['descripcion'] = $descripcion[$i];
			$dataDetalleInsert['cantidad']    = $cantidad[$i];
			$dataDetalleInsert['importe']     = $importe[$i];			
			$dataDetalleInsert['total']       = $total[$i];
			$dataDetalleInsert['descuento']   = $descuento[$i];
			$dataDetalleInsert['tipo_igv_id'] = $tipo_igv[$i];
			
			$this->db->insert('orden_detalles',$dataDetalleInsert);
			$i++;			
		}

		return 2;
	}

	public function getMainList(){		

		$select =  $this->db->select('ord.id ord_id, ord.fecha_de_emision,ord.tipoTransaccion,ord.facturado, cli.razon_social cli_razon_social,pac.razon_social pac_razon_social,med.razon_social med_razon_social')
							->from('ordenes ord')
							->join('clientes cli', 'cli.id = ord.cliente_id')
							->join('pacientes pac', 'pac.id = ord.paciente_id')
							->join('medicos med',   'med.id = ord.medico_id','left')
							->where('ord.estado', ST_ACTIVO)
							->order_by('ord.id desc');

		if($_POST['search'] != ''){
			$select->like("cli.razon_social",$_POST['search']);
		}							


		$selectCount = clone $select;
		$rsCount = 	$selectCount->get()
								->result();						

		$rows = count($rsCount);

		$rsOrdenes = $select->limit($_POST['pageSize'], $_POST['skip'])
							->get()
							->result();
		
		foreach ($rsOrdenes as $orden) {
			if($orden->tipoTransaccion == 0){
				$orden->ord_tipoTransaccion = "CONTADO";
			} else {
				$orden->ord_tipoTransaccion = "PENDIENTE";
			}
			if($orden->facturado == 0){
				$orden->ord_facturado = "POR FACTURAR";
			} else {
				$orden->ord_facturado = "FACTURADO";
			}
			$orden->ord_eliminar = "<a class='btn btn-danger btn-xs btn_eliminar_orden' data-id='{$orden->ord_id}' data-msg='Desea eliminar orden: {$orden->ord_id}?'><i class='glyphicon glyphicon-remove'></i></a>";		

			$orden->btn_pdf = '<a class="show_pdf" title="ver pdf" href="#" idval="'.$orden->ord_id.'"><img title="Ver Pdf" src="'.base_url().'/images/pdf.png"></a>';
		}							

		$datos = [
					'data' => $rsOrdenes,
					'rows' => $rows
			];

			return $datos;
	}
	
	public function getMainList_rm(){		
		
		if($_POST['medico'] != ''){			
			$this->db->where('med.id', $_POST['medico']);
		}

		$where = 'ord.id is NOT NULL';		
		if($_POST['fecha_desde'] != ''){
			$fecha_desde = (new DateTime($_POST['fecha_desde']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) >= '".$fecha_desde."'";
		}
		if($_POST['fecha_hasta'] != ''){
			$fecha_hasta = (new DateTime($_POST['fecha_hasta']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) <= '".$fecha_hasta."'";
		}		

		
			$select =  $this->db->select('med.id med_id,med.razon_social med_razon_social,SUM(ord.descuento_global) descuento_global',FALSE)
								->from('medicos med')								
								->join('ordenes ord','ord.medico_id =  med.id')
								->where($where)
								->where('med.estado', ST_ACTIVO)
								->where('ord.estado', ST_ACTIVO)
								->group_by('med.id')
								->order_by('med.id desc');


		$selectCount = clone $select;
		$rsCount = 	$selectCount->get()
								->result();						

		$rows = count($rsCount);

		$rsMedicos = $select->limit($_POST['pageSize'], $_POST['skip'])
							->get()
							->result();							
		
		foreach ($rsMedicos as $medico) {			
			$medico->med_montoTotal = number_format($this->totalOrdenes($medico->med_id,$where) - $medico->descuento_global,2);
		}							

		$datos = [
					'data' => $rsMedicos,
					'rows' => $rows
			];		
		return $datos;
	}


	public function getMainListDetail_rm(){											
		if($_POST['medico_id'] != ''){
			$this->db->where('ord.medico_id',$_POST['medico_id']);
		}

		$where = 'ord.id is NOT NULL';
		if($_POST['fecha_desde'] != ''){
			$fecha_desde = (new DateTime($_POST['fecha_desde']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) >= '".$fecha_desde."'";
		}
		if($_POST['fecha_hasta'] != ''){
			$fecha_hasta = (new DateTime($_POST['fecha_hasta']))->format("Y-m-d");
			$where .= " AND DATE(ord.fecha_de_emision) <= '".$fecha_hasta."'";
		}		

		if($fecha != "")
		$this->db->where($fecha);		


		$rsOrdenesClientes = $this->db->select('ord.id ord_id, ord.fecha_de_emision ord_fecha_de_emision,ord.tipoTransaccion,ord.facturado,ord.descuento_global,cli.razon_social cli_razon_social,pac.razon_social pac_razon_social,med.razon_social med_razon_social')
							->from('ordenes ord')
							->join('clientes cli', 'cli.id = ord.cliente_id')
							->join('pacientes pac', 'pac.id = ord.paciente_id')
							->join('medicos med',   'med.id = ord.medico_id','left')
							->where($where)
							->where('ord.estado', ST_ACTIVO)
							->order_by('ord.id desc')
							->get()
							->result();	

		$rows = count($rsOrdenesClientes);		
		$i = 1;
		foreach ($rsOrdenesClientes as $item) {					
			$item->montoTotal = $this->totalOrdenesDetail($item->ord_id,$where) - $item->descuento_global ;
			$item->btn_pdf = '<a class="show_pdf" title="ver pdf" href="#" idval="'.$item->ord_id.'"><img title="Ver Pdf" src="'.base_url().'/images/pdf.png"></a>';	
		}

		$datos = [
					'data' => $rsOrdenesClientes,
					'rows' => $rows
					];					

		return $datos;
	}


	public function totalOrdenes($medico_id,$where = ''){
		
		$this->db->where('ord.medico_id', $medico_id);
		if($where != "") $this->db->where($where);
		$rsTotal = $this->db->select('SUM(od.total) total')
							->from('ordenes ord')
							->join('orden_detalles od','od.orden_id = ord.id')		
							->where('ord.estado', ST_ACTIVO)
							->group_by('ord.medico_id')
							->get()
							->row();
		return $rsTotal->total;
	}

	public function totalOrdenesDetail($orden_id,$where = ''){						
			$this->db->where('ord.id', $orden_id);
			if($where != "") $this->db->where($where);
			$rsTotal = $this->db->select('SUM(od.total) total')
							->from('ordenes ord')
							->join('orden_detalles od','od.orden_id = ord.id')							
							->group_by('ord.id')
							->get()
							->row();
		return $rsTotal->total;

	}

		

	public function eliminar($idOrden){
		$ordenUpdate = [
							'estado' => ST_ELIMINADO
						];

		$this->db->where('id', $idOrden);
		$this->db->update('ordenes', $ordenUpdate);

		return TRUE;
	}

}