<h2 align="center"><strong>Ordenes</strong></h2>
<br>
<div class="container-fluid">
	<div class="row">
	<div class="col-md-4">
		<div class="form">
			<button id="btn_generar_comprobante" class="btn btn-success btn btn-sm">Generar Comprobantes</button>
		</div>
	</div>
	<div class="col-md-4 col-md-offset-4">				
		<div class="form">
			<div class="input-group">
				<input type="text" class="form-control" id="search" placeholder="Buscar por nombre">
				<span class="input-group-btn">
					<button class="btn btn-default" type="button" id="btn_buscar_orden">
						<span class="glyphicon glyphicon-search"></span>
					</button>
				</span>
				</div>
			</div>										
		</div>
	</div>
</div>	
	<br>
	<div id="grid"></div>
</div>


<script type="text/javascript">
	

	var dataSource = new kendo.data.DataSource({
		transport : {
			read : {
				url: "<?PHP echo base_url();?>index.php/ordenes/getMainList",
				dataType: "json",
				method: "post",
				data: function(){
					return{
						search: function(){
							return $("#search").val();
						}
					}
				}
			}
		},

		schema: {
			model: {
				id: 'ord_id'
			},
			data: 'data',
			total: 'rows'
		},
		pageSize: 20,
		serverPaging: true,
		serverFiltering: true,
		serverSorting: true
	});


	$("#grid").kendoGrid({
		dataSource: dataSource,
		height: 550,
		sortable: true,
		pageable: true,
		columns: [
			{ selectable: true, width: "20px" },
			{field: 'ord_id', title:' ID', width: '30px'},
			{field: 'fecha_de_emision', title:' FECHA DE EMISION', width: '150px'},
			{field: 'pac_razon_social', title:' PACIENTE', width: '150px'},
			{field: 'cli_razon_social', title:' CLIENTE', width: '150px'},
			{field: 'med_razon_social', title:' MEDICO', width: '150px'},
			{field: 'ord_tipoTransaccion', title:' TIPO DE ORDEN', width: '150px'},
			{field: 'ord_facturado', title:' ESTADO', width: '150px'},
			{field: 'btn_pdf', title:'&nbsp', width: '60px', template:"#= btn_pdf #"},
			{field: 'ord_eliminar', title:'&nbsp', width: '60px', template:"#= ord_eliminar #"},
		],
		dataBound: function(e){

			this.expandRow(this.tbody.find("tr").first());
			$('#btn_generar_comprobante').click(function(e){
				var grid = $("#grid").data("kendoGrid");
				console.log(grid.selectedKeyNames());

				if(grid.selectedKeyNames().length == 0){
                    alert('SELECCIONE ORDEN');
                }              	

                //$.post("<?= base_url();?>index.php/comprobantes/generar_comprobante_orden",{array : grid.selectedKeyNames()});

                var idOrden = grid.selectedKeyNames();
				location.href = "<?PHP echo base_url()?>index.php/comprobantes/generar_comprobante_orden?array="+idOrden;
			});

			$('.btn_eliminar_orden').click(function(e){
				e.preventDefault();
				var idOrden = $(this).data('id');
				var msg = $(this).data('msg');

				var url = '<?= base_url()?>index.php/ordenes/eliminar/'+idOrden

				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm: {
							text: 'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status == STATUS_OK){
											toast('success',1500,'orden eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar orden');
										}
									}
								});
							}
						},
						cancel: function(){
						}
					}
				});
			});


			$(".show_pdf").click(function(e){		
				var _val = $(this).attr("idval");
				javascript:window.open("<?PHP echo base_url()?>index.php/ordenes/pdfGenerarOrdenOffline/"+_val,'','width=750,height=600,scrollbars=yes,resizable=yes');
			});




		}
	});


	//Buscar Orden
	$("#btn_buscar_orden").click(function(e){
		e.preventDefault();
		dataSource.read();

	});

	//Buscar Orden por campo de texto
	$("#search").keyup(function(e){
		e.preventDefault();
		var enter = 13;
		if(e.which == enter){
			dataSource.read();
		}
	});	

</script>

